<?php


namespace OTP\Helper;

if (defined("\101\x42\123\120\x41\124\110")) {
    goto y8;
}
die;
y8:
class AEncryption
{
    public static function encrypt_data($PD, $gv)
    {
        $EF = '';
        $Er = 0;
        li:
        if (!($Er < strlen($PD))) {
            goto EZ;
        }
        $YU = substr($PD, $Er, 1);
        $iG = substr($gv, $Er % strlen($gv) - 1, 1);
        $YU = chr(ord($YU) + ord($iG));
        $EF .= $YU;
        L8:
        $Er++;
        goto li;
        EZ:
        return base64_encode($EF);
    }
    public static function decrypt_data($PD, $gv)
    {
        $EF = '';
        $PD = base64_decode($PD);
        $Er = 0;
        th:
        if (!($Er < strlen($PD))) {
            goto vf;
        }
        $YU = substr($PD, $Er, 1);
        $iG = substr($gv, $Er % strlen($gv) - 1, 1);
        $YU = chr(ord($YU) - ord($iG));
        $EF .= $YU;
        w0:
        $Er++;
        goto th;
        vf:
        return $EF;
    }
}
